Get Domain
Retrieve details of a specific domain
GET
/domains/{domain_id}Requires
Bearer authenticationRetrieve the configuration and status for a specific custom domain.
Path Parameters
domain_idstringrequiredThe unique identifier of the domain.
GET
/domains/{domain_id}curl -X GET "https://api.vastal.agency/v1/domains/dom_abc123" \ -H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch( 'https://api.vastal.agency/v1/domains/dom_abc123', { headers: { 'Authorization': 'Bearer YOUR_API_KEY' } } ); const domain = await response.json();
200Success
{ "success": true, "data": { "id": "dom_abc123", "domain": "app.example.com", "status": "verified", "ssl_status": "active", "dns_records": [ { "type": "CNAME", "name": "app", "value": "cname.vastal.agency" } ], "created_at": "2024-01-15T10:30:00Z" } }